Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1072716 - (CVE-2014-0121) CVE-2014-0121 hawtio-karaf-terminal: remote code execution due to missing authentication
CVE-2014-0121 hawtio-karaf-terminal: remote code execution due to missing aut...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20140414,repor...
: Security
Depends On:
Blocks: 1072724
  Show dependency treegraph
 
Reported: 2014-03-05 00:18 EST by Trevor Jay
Modified: 2015-07-27 09:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 14:43:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Jay 2014-03-05 00:18:24 EST
hawtio-karaf-terminal does not apply any authentication or authorization constraints by default. A remote attacker could use this flaw to run commands in the Karaf terminal, and therefore execute arbitrary code in the context of the Karaf server process.
Comment 1 Trevor Jay 2014-03-05 00:52:27 EST
Acknowledgements:

This issue was discovered by David Jorm of the Red Hat Security Response Team.
Comment 5 Chess Hazlett 2014-04-14 14:43:19 EDT
Statement:

Not vulnerable. This issue only affects Red Hat JBoss Fuse 6.1.0 Beta. It is resolved in the general availability release of Red Hat JBoss Fuse 6.1.0. Earlier versions of Red Hat JBoss Fuse are not affected, as they did not include the hawtio-karaf-terminal component.

Note You need to log in before you can comment on or make changes to this bug.